<?php
/*!
 *  @file
 *
 *  @brief  trigger definitions for MySql database
 *
 *  @date   January 16, 2016
 */

/*!
 *  List of trigger definitions.
 *
 * Format:
 * <pre><code>
 * hws_triggers  ::= "(" (\<trigger_def\> ",")* ");"
 *
 * trigger_def   ::= "'" \<trigger_name\> "' => (" \<trigger_parms\> "),"
 *
 * trigger_parms ::= "'table' => '" \<table_name\> "',"
 *                   "'event' =>  " 'INSERT' | 'UPDATE' | 'DELETE' ","
 *                   "'when'  =>  " 'BEFORE' | 'AFTER' ","
 *                   "'stmt'  => (" ("'" \<sql_stmt\> "',")* ")"
 * </code></pre>
 */
$HWS_TRIGGERS = array(
 'insert_physical_device' => array(
	'table' => 'physical',
	'event' => 'INSERT',
	'when'  => 'AFTER',
	'stmt'  => array(
		 'INSERT INTO physical_history (date,time,physical_id,user_id,action)
		  VALUES(date(now()),time(now()),NEW.id,0,\'New\')'
		)
 ),
 'update_physical_device' => array(
	'table' => 'physical',
	'event' => 'UPDATE',
	'when'  => 'AFTER',
	'stmt'  => array(
		 'INSERT INTO physical_history (date,time,physical_id,user_id,action)
		  VALUES(date(now()),time(now()),NEW.id,0,\'Update\')'
		)
 )
); // end HWS_TRIGGERS
?>
