<?php
/*!
 *  @file
 *
 *  @brief	show input dialog for user information
 *
 *  @date	2005
 */

has_permissions('m') || fatal(E_NOPERM);

$redir_back = $_SERVER['HTTP_REFERER'];

$uid = trim($_GET['uid']);	// optional
if (is_decimal($uid)) {
	$perm_cbox = array();

	$row = $DB->GetUserInfo($uid);
	// determine this user's permissions suitable for checkbox element:
	if (strpos($row['permissions'], 'r') !== false) $perm_cbox['read']        = 'checked';
	if (strpos($row['permissions'], 'w') !== false) $perm_cbox['write']       = 'checked';
	if (strpos($row['permissions'], 'd') !== false) $perm_cbox['delete']      = 'checked';
	if (strpos($row['permissions'], 'm') !== false) $perm_cbox['maintenance'] = 'checked';

	$locked = to_boolean($row['locked']);
	if (empty($locked)) {
		$locked = false;	// don't lock if "lock" feature not available
	}
}

echo '
	<h2>Edit User</h2>
	<form name="account" action="?component=account&action=save" method="post" onsubmit="return CheckFormUser(account)">
		<table class="std_input">
			<tr>
				<td class="std_input_title">Username:</td>
				<td class="std_input_item">
					<input name="username" type="text" maxlength="'.USERNAME_MAX.'" value="'.filter_string($row['username']).'" autofocus><sup> *</sup>
				</td>
			</tr>
			<tr>
				<td class="std_input_title">Full name:</td>
				<td class="std_input_item">
					<input name="fullname" type="text" maxlength="'.FULLNAME_MAX.'" value="'.filter_string($row['fullname']).'">
				</td>
			</tr>
			<tr>
				<td class="std_input_title">Password:</td>
				<td class="std_input_item">
					<input name="password" type="password" size="'.PASSWORD_MAX.'" maxlength="'.PASSWORD_MAX.'">
				</td>
			</tr>
			<tr>
				<td class="std_input_title">Permissions:</td>
				<td class="std_input_item">
					<input id="read" name="perm_read" type="checkbox" '.$perm_cbox['read'].'>
					<label for="read">Read</label>
					<input id="write" name="perm_write" type="checkbox" '.$perm_cbox['write'].'>
					<label for="write">Write</label>
					<input id="delete" name="perm_delete" type="checkbox" '.$perm_cbox['delete'].'>
					<label for="delete">Delete</label>
					<input id="maintenance" name="perm_maint" type="checkbox" '.$perm_cbox['maintenance'].'>
					<label for="maintenance">Maintenance</label>
				</td>
			</tr>
			<tr>
				<td class="std_input_title">Locked:</td>
				<td class="std_input_item">
					<input id="lock_yes" name="locked" type="radio" value="yes" '.($locked==true?'checked':'').'>
					<label for="lock_yes">Yes</label>
					<input id="lock_no" name="locked" type="radio" value="no" '.($locked==false?'checked':'').'>
					<label for="lock_no">No</label>
				</td>
			</tr>
			<tr>
				<td class="std_input_buttons" style="text-align:left">
					<input type="reset" value="Undo">
				</td>
				<td class="std_input_buttons" style="text-align:right">
					<input type="submit" value="Save">
					<input type="button" value="Cancel" onclick="RedirectPage(\''.filter_string($redir_back).'\')">
				</td>
			</tr>
		</table>
		<input type="hidden" name="uid" value="'.$uid.'">
	</form>
	<br>
	<font size="2">*) Required field</font>
';
?>
