<?php
/*!
 *  @file
 *
 *  @brief	show overview of user accounts
 *
 *  @date	2005
 */

has_permissions('m') || fatal(E_NOPERM);

$order = trim($_GET['order']);
switch ($order) {
	case 'permissions': $order = 'permissions'; break;
	case 'fullname':    $order = 'fullname';    break;
	default: $order = 'username'; break;
}

$parm_list = url_strip_parm($_SERVER['QUERY_STRING'], 'order');
$href_sub = $_SERVER['PHP_SELF'] . '?' . filter_string($parm_list);

echo '
	<h2>User Accounts</h2>
	<table class="std_list">
		<tr>
			<th class="std_list_header"><a href="'.$href_sub.'&order=username">User</a></th>
			<th class="std_list_header"><a href="'.$href_sub.'&order=permissions">Permissions</a></th>
			<th class="std_list_header"><a href="'.$href_sub.'&order=fullname">Full name</a></th>
			<th class="std_list_header"><!-- empty --></th>
			<th class="std_list_header"><!-- empty --></th>
		</tr>
';

$ret = $DB->Fetch('users', array('id','username','permissions', 'fullname'), $order);
foreach ($ret as $row) {
	$perm = trim($row['permissions']);
	if (empty($perm)) $perm = '-';	// '-' indicates no permissions

	echo '
		<tr>
			<td class="std_list_entry">'.filter_string($row['username']).'</td>
			<td class="std_list_entry">'.filter_string($perm).'</td>
			<td class="std_list_entry">'.filter_string($row['fullname']).'</td>
			<td class="std_list_entry">
				<a href="?component=account&action=edit&uid='.$row['id'].'">
					<img src="images/wrench.png" alt="Edit User">
				</a>
			</td>
			<td class="std_list_entry">
				<a href="?component=account&action=delete&uid='.$row['id'].'" onclick="return ConfirmDelete()">
					<img src="images/trashcan.png" alt="Delete User">
				</a>
			</td>
		</tr>
';
}

echo '
	</table>
	<br>
	<a href="?component=account&action=edit"><img src="images/bnew_user.png" alt="New User"></a>
';
?>
