<?php
/*!
 *  @file
 *
 *  @brief	add or update user account
 *
 *  @date	2005
 */

has_permissions('m') || fatal(E_NOPERM);

$user = validate_string($_POST['username']);
$passwd = $_POST['password'];	// optional parameter
$fullname = $_POST['fullname'];	// optional parameter

$access_perm = '';
if (strcasecmp($_POST['perm_read'],   'on') == 0) $access_perm .= 'r';
if (strcasecmp($_POST['perm_write'],  'on') == 0) $access_perm .= 'w';
if (strcasecmp($_POST['perm_delete'], 'on') == 0) $access_perm .= 'd';
if (strcasecmp($_POST['perm_maint'],  'on') == 0) $access_perm .= 'm';

$locked = validate_boolean($_POST['locked']);

$crypt_passwd = encrypt_password($passwd);

$uid = trim($_POST['uid']);	// optional parameter
if (!empty($uid)) {
	$fields = array();

	// if UID given then it must be an int, else we abort:
	validate_integer($uid);

	// check which fields need to be updated:
	$row = $DB->GetUserInfo($uid);
	if (!empty($user) && strcmp($user, $row['username']) != 0) {
		$fields['username'] = $user;
	}
	if (strcmp($fullname, $row['fullname']) != 0) {
		$fields['fullname'] = $fullname;
	}
	if (!empty($passwd) && strcmp($crypt_passwd, $row['password']) != 0) {
		$fields['password'] = base64_encode($crypt_passwd);
	}
	if (strcmp($access_perm, $row['permissions']) != 0) {
		$fields['permissions'] = $access_perm;
	}
	$fields['locked'] = $locked;	// always updated
	if (!empty($fields)) {
		$DB->ModUserInfo($uid, $fields);
	}
} else {
	$DB->AddUser($user, base64_encode($crypt_passwd), $access_perm, $fullname, $locked);
}

header('Location: http://' . $_SERVER['SERVER_NAME'] . '?component=account&action=list');
exit;
?>
