<?php
/*!
 *  @file
 *
 *  @brief	show input dialog for a link entry
 *
 *  @date	2005
 */

require 'inc/func_dtd.php';

has_permissions('w') || fatal(E_NOPERM);

$redir_back = $_SERVER['HTTP_REFERER'];

$did = validate_integer($_GET['did']);

$row  = $DB->GetDeviceState($did);
$gid  = validate_integer($row['hwgroup_id']);
$tid  = validate_integer($row['device_type_id']);
$msid = validate_integer($row['model_spec_id']);

$dtd = get_dtd_pathname($tid);
require $dtd;

$ret = $DB->GetModelFeatures($DTD['table'], $DTD['features'], $msid);
if ($ret) {
        $model_name = $ret['model'];
}
if (empty($model_name)) fatal(E_NOMODEL);

$lid = trim($_GET['lid']);	// optional
if (!empty($lid)) {
	validate_integer($lid);

	$row2 = $DB->FetchById('links', array('comment','url'), $lid);
	$lid_parm = '&lid=' . $lid;
}

echo '
	<h2>Edit '.filter_string($model_name).' : '.filter_string($row['serial_number']).'</h2>
	<form name="link" method="post" action="?component=link&action=save&did='.$did.$lid_parm.'" onsubmit="return CheckFormLink(link)">
		<table class="wide_input">
			<tr>
				<td class="wide_input_title" colspan="2">URL:</td>
			</tr>
			<tr>
				<td class="wide_input_item" colspan="2">
					<input name="url" size="80" maxlength="'.URL_MAX.'" value="'.filter_string($row2['url']).'" autofocus><sup> *</sup>
				</td>
			</tr>
			<tr>
				<td class="wide_input_title" colspan="2">Comment:</td>
			</tr>
			<tr>
				<td class="wide_input_item" colspan="2">
					<input name="comment" size="64" maxlength="'.COMMENT_MAX.'" value="'.filter_string($row2['comment']).'"><sup> *</sup>
				</td>
			</tr>
			<tr>
				<td class="std_input_buttons" style="text-align:left">
					<input type="reset" value="Undo">
				</td>
				<td class="wide_input_buttons" style="text-align:right">
					<input type="submit" value="Save">
					<input type="button" value="Cancel" onclick="RedirectPage(\''.filter_string($redir_back).'\')">
				</td>
			</tr>
		</table>
		<input type="hidden" name="redirect" value="'.filter_string($_POST['redirect']).'">
	</form>
	<br>
	<font size="2">*) Required field</font>
';
?>
