<?php
/*!
 *  @file
 *
 *  @brief	add or update link entry
 *
 *  @date	2005
 */

has_permissions('w') || fatal(E_NOPERM);

$did = validate_integer($_GET['did']);
$lid = trim($_GET['lid']);		// optional
$url = validate_string($_POST['url']);
$comment = validate_string($_POST['comment']);

/*
 * In case $lid contains a value, then the database operation involves an
 * update. Otherwise, a new row is created in the table. But first check if
 * given 'lid' exists.
 */
if (!empty($lid)) {
	validate_integer($lid);

	$row = $DB->FetchById('links', array('id'), $lid);
} else {
	$row = array();
}

$fields = array('comment' => $comment, 'url' => $url);
if (!empty($row)) {
	$DB->Update('links', $lid, $fields);
} else {
	$fields['physical_id'] = $did;	// need to add ID for new device
	$DB->Insert('links', $fields);
}

$ids = $DB->GetDeviceState($did);

header('Location: http://' . $_SERVER['SERVER_NAME'] . '?component=physical&action=list' .
	'&gid='  . $ids['hwgroup_id'] .
	'&tid='  . $ids['device_type_id'] .
	'&msid=' . $ids['model_spec_id']);
exit;
?>
