<?php
/*!
 *  @file
 *
 *  @brief	add or update location definition
 *
 *  @date	October 31, 2015
 */

has_permissions('m') || fatal(E_NOPERM);

$location = validate_string($_POST['location_name']);
$street   = $_POST['street'];
$zipcode  = $_POST['zipcode'];
$city     = $_POST['city'];
$room     = $_POST['room'];
$rack     = $_POST['rack'];
$shelf    = $_POST['shelf'];

$lid = trim($_POST['lid']);	// optional parameter
if (!empty($lid)) {
	$fields = array();

	// if Location ID given then it must be an int, else we abort:
	validate_integer($lid);

	// check which fields need to be updated:
	$row = $DB->GetLocationInfo($lid);
	if (!empty($location) && strcmp($location, $row['location']) != 0) {
		$fields['location'] = $location;
	}
	if (strcmp($street, $row['street']) != 0) {
		$fields['street'] = $street;
	}
	if (strcmp($zipcode, $row['zipcode']) != 0) {
		$fields['zipcode'] = $zipcode;
	}
	if (strcmp($city, $row['city']) != 0) {
		$fields['city'] = $city;
	}
	if (strcmp($room, $row['room']) != 0) {
		$fields['room'] = $room;
	}
	if (strcmp($rack, $row['rack']) != 0) {
		$fields['rack'] = $rack;
	}
	if (strcmp($shelf, $row['shelf']) != 0) {
		$fields['shelf'] = $shelf;
	}
	if (!empty($fields)) {
		$DB->ModLocationInfo($lid, $fields);
	}
} else {
	$fields = array('street'  => $street,
			'zipcode' => $zipcode,
			'city'    => $city,
			'room'    => $room,
			'rack'    => $rack,
			'shelf'   => $shelf);
	$DB->AddLocation($location, $fields);
}

header('Location: http://' . $_SERVER['SERVER_NAME'] . '?component=location&action=list');
exit;
?>
