<?php
/*!
 *  @file
 *
 *  @brief	upload file holding list of devices
 *
 *  @date	November 14, 2015
 */

has_permissions('w') || fatal(E_NOPERM);

/*
 * Group ID and device type ID are optional.
 * If specified, they must be valid.
 */
$gid = trim($_GET['gid']);
$tid = trim($_GET['tid']);
empty($gid) ? $gid = 0 : $gid = validate_integer($gid);
empty($tid) ? $tid = 0 : $tid = validate_integer($tid);

$groups = $DB->Fetch('hardware_groups', array('id', 'hwgroup'), 'hwgroup');

echo '
	<h2>Import Devices</h2>
	<form enctype="multipart/form-data" action="?component=model&action=savelist" method="POST">
		<table class="std_input">
			<tr>
				<td class="std_input_title">Hardware Group:</td>
				<td class="std_input_item">
					<select name="gid" onchange="javascript:DeviceTypeMenu(this.options[this.selectedIndex].value);">
						<option value="">&lt;select hardware group&gt;</option>
';
foreach ($groups as $g) {
	$g['id'] == $gid ? $selected = 'selected' : $selected = '';
	echo '
						<option value="'.$g['id'].'" '.$selected.'>'.$g['hwgroup'].'</option>
';
}
echo '
					</select>
				</td>
			</tr>
			<tr>
				<td class="std_input_title">Device Type:</td>
				<td class="std_input_item">
					<select name="tid" id="devtype_menu">
						<option value="">&lt;select device type&gt;</option>
';
// if device type ID was given, prepare appropriate menu:
if ($gid > 0 && $tid > 0) {
	foreach ($DB->ListDeviceTypes($gid) as $d) {
		$d['id'] == $tid ? $selected = 'selected' : $selected = '';
		echo '
						<option value="'.$d['id'].'" '.$selected.'>'.$d['device_type'].'</option>
';
	}
}
echo '
					</select>
				</td>
			</tr>
			<tr>
				<td class="std_input_title">File:</td>
				<td class="std_input_item">
					<input name="import_file" type="file"><sup> *</sup>
				</td>
			</tr>
			<tr>
				<td class="std_input_buttons" colspan="2"> 
					<input type="submit" value="Import">
				</td>
			</tr>
		</table>
	</form>
	<br>
	<font size="2">*) Max. '.IMPORT_FILE_MAX.' bytes</font>
';
?>

<script language="javascript" type="text/javascript">
	function DeviceTypeMenu(group_idx)
	{
		document.getElementById("devtype_menu").length = 0;
		document.getElementById("devtype_menu").options[0] = new Option("<select device type>","");

		switch (group_idx)
		{
<?php
foreach ($groups as $g) {
	echo '
		case "'.$g['id'].'":
';
	$devtypes = $DB->ListDeviceTypes($g['id']);
	$idx = 1;
	foreach ($devtypes as $d) {
		echo '
			document.getElementById("devtype_menu").options['.$idx++.'] = new Option("'.$d['device_type'].'","'.$d['id'].'");';
	}
	echo '
			break;';
}
?>
		}
		return true;
	}
</script>
