<?php
/*!
 *  @file
 *
 *  @brief	show overview of news items
 *
 *  @date	January 16, 2016
 */

has_permissions('m') || fatal(E_NOPERM);

$order = trim($_GET['order']);
switch ($order) {
	case 'date':    $order = 'date';    break;
	case 'subject': $order = 'subject'; break;
	default: $order = 'date'; break;
}

$parm_list = url_strip_parm($_SERVER['QUERY_STRING'], 'order');
$href_sub = $_SERVER['PHP_SELF'] . '?' . filter_string($parm_list);

echo '
	<h2>News Items</h2>
	<table class="std_list">
		<tr>
			<th class="std_list_header"><a href="'.$href_sub.'&order=date">Date</a></th>
			<th class="std_list_header"><a href="'.$href_sub.'&order=subject">Subject</a></th>
			<th class="std_list_header"><!-- empty --></th>
		</tr>
';

$ret = $DB->Fetch('news', array('id','date','time', 'subject'), $order);
foreach ($ret as $row) {
	echo '
		<tr>
			<td class="std_list_entry">'.filter_string($row['date']).' '.filter_string($row['time']).'</td>
			<td class="std_list_entry">
				<a href="?component=news&action=edit&nid='.$row['id'].'">
					'.filter_string($row['subject']).'
				</a>
			</td>
			<td class="std_list_entry">
				<a href="?component=news&action=delete&nid='.$row['id'].'" onclick="return ConfirmDelete()">
					<img src="images/trashcan.png" alt="Delete Item">
				</a>
			</td>
		</tr>
';
}

echo '
	</table>
	<br>
	<a href="?component=news&action=edit"><img src="images/bnew_item.png" alt="New Item"></a>
';
?>
