<?php
/*!
 *  @file
 *
 *  @brief	show site announcements
 *
 *  @date	November 28, 2015
 */

$changes = $DB->GetDeviceChanges('', 10, false);

echo '
	<h2>News</h2>
	<h4>Announcements</h4>
';
$news = $DB->FetchNews(5);
if (!empty($news)) {
	foreach ($news as $i) {
		// separate date/time and subject by comma
		// unless subject is empty:
		$subj = trim($i['subject']);
		if (!empty($subj)) {
			$subj = ', '.$subj;
		}

		echo '
		<div style="font-size:smaller">
			<b>&mdash; '.$i['date'].' '.$i['time'].$subj.'</b>
			<p style="margin-left:20px">'.$i['message'].'</p>
		</div>
';
	}
} else {
	echo '<p style="color:grey;font-style:italic">No news...</p>';
}
echo '
	<h4>Most Recent Hardware Components</h4>
	<table class="std_list">
		<th class="std_list_header">Date</th>
		<th class="std_list_header">Device</th>
		<th class="std_list_header">S/N</th>
		<th class="std_list_header">Action</th>
		<th class="std_list_header">User</th>
';
foreach ($changes as $c) {
	$dev = $DB->GetDeviceState($c['physical_id']);
	if ($dev) {
		$dev_type = $DB->GetDeviceTypeDesc($dev['device_type_id']);
		$dev_link = '<a href="index.php?component=physical&action=list&gid='.$dev['hwgroup_id'].
			    '&tid='.$dev['device_type_id'].'&msid='.$dev['model_spec_id'].'#'.
			    $c['physical_id'].'">'.$c['serial_number'].'</a>';
	} else {
		$dev_type = '<N/A>';
		$dev_link = $c['serial_number'];
	}

	echo '
		<tr>
			<td class="std_list_entry">'.$c['date'].'&nbsp;'.$c['time'].'</td>
			<td class="std_list_entry">'.$dev_type.'</td>
			<td class="std_list_entry">'.$dev_link.'</td>
			<td class="std_list_entry">'.$c['action'].'</td>
			<td class="std_list_entry">'.$c['username'].'</td>
		</tr>
';
}
echo '
	</table>
';
?>
