<?php
/*!
 *  @file
 *
 *  @brief	show input dialog for device note
 *
 *  @date	2005
 */

require 'inc/func_dtd.php';

has_permissions('w') || fatal(E_NOPERM);

$redir_back = $_SERVER['HTTP_REFERER'];

$did = validate_integer($_GET['did']);

$row  = $DB->GetDeviceState($did);
$gid  = validate_integer($row['hwgroup_id']);
$tid  = validate_integer($row['device_type_id']);
$msid = validate_integer($row['model_spec_id']);

$dtd = get_dtd_pathname($tid);
require $dtd;

$ret = $DB->GetModelFeatures($DTD['table'], $DTD['features'], $msid);
if ($ret) {
        $model_name = $ret['model'];
}
if (empty($model_name)) fatal(E_NOMODEL);

$nid = trim($_GET['nid']);	// optional
if (!empty($nid)) {
	validate_integer($nid);

	$row2 = $DB->FetchById('notes', array('note'), $nid);
	$nid_parm = '&nid=' . $nid;
}

echo '
	<h2>Edit '.filter_string($model_name).' : '.filter_string($row['serial_number']).'</h2>
	<form name="note" method="post" action="?component=note&action=save&did='.$did.$nid_parm.'">
		<table class="wide_input">
			<tr>
				<td class="wide_input_title" colspan="2">Note:</td>
			</tr>
			<tr>
				<td class="wide_input_item" colspan="2">
					<textarea name="note" rows="10" cols="60" autofocus>'.filter_string($row2['note']).'</textarea>
				</td>
			</tr>
			<tr>
				<td class="std_input_buttons" style="text-align:left">
					<input type="reset" value="Undo">
				</td>
				<td class="wide_input_buttons" style="text-align:right">
					<input type="submit" value="Save">
					<input type="button" value="Cancel" onclick="RedirectPage(\''.filter_string($redir_back).'\')">
				</td>
			</tr>
		</table>
		<input name="redirect" type="hidden" value="'.filter_string($_POST['redirect']).'">
	</form>
';
?>
