<?php
/*!
 *  @file
 *
 *  @brief	add or update physical device properties
 *
 *  @date	2005
 */

require 'inc/func_dtd.php';
require 'inc/PDD.inc';

has_permissions('w') || fatal(E_NOPERM);

$did = validate_integer($_GET['did']);

$physical_feats = extract_features_form($PDD['features'], $_POST);
$phids = resolve_feature_ids('physical', $physical_feats);

$fields = array('serial_number' => $physical_feats['serial_number']['value'],
		'barcode'       => $physical_feats['barcode']['value'],
		'status_id'     => $phids['status_id'],
		'location_id'   => $phids['location_id']);
$DB->Update('physical', $did, $fields);

$ids = $DB->GetDeviceState($did);

header('Location: http://' . $_SERVER['SERVER_NAME'] . '?component=physical&action=list' .
	'&gid='  . $ids['hwgroup_id'] .
	'&tid='  . $ids['device_type_id'] .
	'&msid=' . $ids['model_spec_id']);
exit;
?>
