<?php
/*!
 *  @file
 *
 *  @brief	show site technical data
 *
 *  @date	October 30, 2015
 */

$db_info  = $DB->GetDbInfo();
$db_state = ($db_info['state'] ? 'connected' : 'not connected');

$groups = $DB->Fetch('hardware_groups', array('id'));
$groups !== false ? $num_grps = count($groups) : $num_grps = '-';

$types = $DB->Fetch('device_type', array('id'));
$types !== false ? $num_typs = count($types) : $num_typs = '-';

$num_devs = $DB->GetNumberOfPhysicalDevices('', '', '');
if ($num_devs === false) $num_devs = '-';

echo '
	<h2>HWS Status</h2>
	<h4>General</h4>
	<table class="std_list">
		<tr>
			<td class="std_input_title">HWS Release:</td>
			<td class="std_input_item">Version '.HWS_VERSION.'</td>
		</tr>
		<tr>
			<td class="std_input_title">Platform:</td>
			<td class="std_input_item">'.php_uname('s').' / '.php_uname('m').'</td>
		</tr>
		<tr>
			<td class="std_input_title">Server ID:</td>
			<td class="std_input_item">'.$_SERVER['SERVER_SOFTWARE'].'</td>
		</tr>
		<tr>
			<td class="std_input_title">Script Interpreter:</td>
			<td class="std_input_item">PHP '.phpversion().'</td>
		</tr>
		<tr>
			<td class="std_input_title">Database Backend:</td>
			<td class="std_input_item">'.$db_info['implementation'].' '.$db_info['version'].'</td>
		</tr>
		<tr>
			<td class="std_input_title">Database Host:</td>
			<td class="std_input_item">'.$db_info['host'].' ('.$db_state.')</td>
		</tr>
		<tr>
			<td class="std_input_title">Database Uptime:</td>
			<td class="std_input_item">'.$db_info['uptime'].'</td>
		</tr>
	</table>

	<h4>Hardware Components</h4>
	<table class="std_list">
		<tr>
			<td class="std_input_title">Nr. of Hardware Groups:</td>
			<td class="std_input_item">'.$num_grps.'</td>
		</tr>
		<tr>
			<td class="std_input_title">Nr. of Device Types:</td>
			<td class="std_input_item">'.$num_typs.'</td>
		</tr>
		<tr>
			<td class="std_input_title">Nr. of Physical Devices:</td>
			<td class="std_input_item">'.$num_devs.'</td>
		</tr>
	</table>
';
?>
