<?php
/*!
 *  @file
 *
 *  @brief	transfer file to client
 *
 *  @date	May 28, 2016
 */

require 'inc/func_drm.php';

$filename = validate_filename($_GET['name']);	// mandatory
$pathname = sys_get_temp_dir() . '/' . $filename;

$content = trim($_GET['type']);			// optional
if (empty($content)) {
	$content = 'application/octet-stream';
}

/*
 * Send file to client (opens a Download dialog).
 * Do nothing if file not found or inaccessible.
 */
if (is_readable($pathname)) {
	header('Content-Description: File Transfer');
	header('Content-Type: ' . $content);
	header('Content-Disposition: attachment; filename="'.$filename.'"');
	header('Expires: 0');
	header('Cache-Control: must-revalidate');
	header('Pragma: public');
	header('Content-Length: ' . filesize($pathname));

	set_time_limit(0);

	readfile($pathname);

	// always remove file after download
	unlink($pathname);
}

exit;
?>
