<?php
/*!
 *  @file
 *
 *  @brief	functions related to device type definitions
 *
 *  @date	August 24, 2015
 */

/* DTD datatype enumerations */
define("TEXT", 0);
define("MENU", 1);
define("RBTN", 2);
define("CBOX", 3);

/*!
 *  Return pathname of device type definition file.
 *
 *  @param[in] $tid Device type ID.
 *
 *  @returns
 *  Pathname of DTD file or empty string if given device type did not exist.
 */
function get_dtd_pathname($tid)
{
	global $DB;

	if (trim($tid) == false) {
		return null;
	}

	$ret = $DB->FetchById('device_type', array('code'), $tid);
	if ($ret) {
		$dtd = trim($ret['code']);
		// add filename extension, if available:
		if (trim(DTD_EXT)) {
			$dtd .= '.' . DTD_EXT;
		}
	}
	return DTD_DIR . '/' . $dtd;
}
?>
