<?php
/*!
 *  @file
 *
 *  @brief	initialization of HWS
 *
 *  @date	July 26, 2015
 */

@session_name("SID");
@session_start();

ob_start();

require 'conf.php';
require 'inc/defs.php';
require 'inc/msgs.php';
require 'inc/func_auth.php';
require 'inc/func_drm.php';
require 'inc/func_ui.php';
require 'inc/db/class.db.php';

switch (DBMS) {
case 'mysql':
	require 'inc/db/class.db.mysql.php';
	$DB = new MySqlDatabase(DB_SERVER, DB_USER, DB_PASSWD);
	break;
case 'pgsql':
	require 'inc/db/class.db.pgsql.php';
	$DB = new PgSqlDatabase(DB_SERVER, DB_USER, DB_PASSWD);
	break;
case 'sqlite3':
	require 'inc/db/class.db.sqlite3.php';
	$DB = new Sqlite3Database(DB_SERVER, DB_USER, DB_PASSWD);
	break;
default:
	echo "unsupported database";
	break;
}

$DB->Connect(DB_NAME);
?>
