/*!
 *  @file
 *
 *  @brief	miscellaneous Javascript functions
 *
 *  @date	2005
 */

function CheckFormModel(form)
{
	var sn = form.serial_number.value;
	var model = form.model.value;

	if (sn.length == 0 || model.length == 0) {
		alert("Both S/N and model are required.");
		return (false);
	}
	return (true);
}

/* In case "Other" selected, check if the input isn't already a menu-option. */
function CheckOther(selectField, inputField)
{
	var ndx = selectField.selectedIndex;
	var s = inputField.value;
	
	// Nothing selected or not Other selected, return.
	if (ndx == -1 || selectField.options[ndx].value != "Other") return true;
	
	// Allow empty input field.
	if (s.length == 0) return true;

	// Remove leading and trailing white spaces.
	s = s.replace(/^\s+/g, "");
	s = s.replace(/\s+$/g, "");
	//s = s.toLowerCase();
	for (var i = 0; i < selectField.length; i++) {
		if (selectField.options[i].text.toLowerCase() ==
			s.toLowerCase())
		{
			alert("Name already in list.\n (entry: " + (i+1) + ")");
			return false;
		}
	}
	return (true);
}

function CheckFormGroup(form)
{
	var name = form.group_name.value;
	var code = form.shortcode.value;

	if (name.length == 0) {
		alert("Group Name is a required field.");
		return (false);
	}
	if (code.length == 0) {
		alert("Shortcode is a required field.");
		return (false);
	}
	return (true);
}

function CheckFormDevtype(form)
{
	var devtype = form.devtype_name.value;
	var code    = form.shortcode.value;

	if (devtype.length == 0) {
		alert("Device Type Name is a required field.");
		return (false);
	}
	if (code.length == 0) {
		alert("Shortcode is a required field.");
		return (false);
	}
	return (true);
}

function CheckFormPhysical(form)
{
	var sn = form.serial_number.value;

	if (sn.length == 0) {
		alert("S/N is a required field.");
		return (false);
	}
	return (true);
}

function CheckFormLink(form)
{
	var url  = form.url.value;
	var comm = form.comment.value;

	if (url.length == 0) {
		alert("URL is a required field.");
		return (false);
	}
	if (comm.length == 0) {
		alert("Comment is a required field.");
		return (false);
	}
	return (true);
}

function CheckFormUser(form)
{
	var user = form.username.value;

	if (user.length == 0) {
		alert("Username is a required field.");
		return (false);
	}

	if (user.match(/^[a-z][-._a-z0-9]*$/gi) == null) {
		alert("Invalid username. A username must consist of letters," +
		      "digits, or the punctuation characters minus, dot, or" +
		      "underscore. Also, a username must begin with a letter.");
		return (false);
	}
	return (true);
}

function CheckFormLocation(form)
{
	var loc = form.location_name.value;

	if (loc.length == 0) {
		alert("Location is a required field.");
		return (false);
	}
	return (true);
}

function ConfirmDelete()
{
	return confirm("Really delete?");
}

function RedirectPage(url)
{
	if (url.length == 0) return;

	window.location.assign(url);
}

function HelpPopup(url)
{
	wnd = window.open(url, '_blank', 'height=500,width=500,scrollbars=1');
	if (wnd.focus) wnd.focus();

	return false;
}
